Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.farmaco.pojo
Class Farmaco

    java.lang.Object
      it.svimservice.nsisr.web.ws.farmaco.pojo.Farmaco

    public class Farmaco

extends java.lang.Object

Constructor Summary
`Farmaco()`

Method Summary
`ConsultazioneProntuarioFarmaceuticoResponse` | `getConsultazioneProntuarioFarmaceutico(AttributiAutorizzativi attributiAutorizzativi, ConsultazioneProntuarioFarmaceuticoRequest filtriFarmacoVo)` Servizio di consultazione dei dati, compresi quelli storici, dei farmaci inclusi nel prontuario farmaceutico nazionale, nel prontuario ospedaliero nonch´ i dati dei farmaci appartenenti al PHT inclusi nel prontuario farmaceutico nazionale
`ProntuarioFarmaceuticoResponse` | `getProntuarioFarmaceutico(AttributiAutorizzativi attributiAutorizzativi, java.lang.String tavolaDaEstrarre, java.lang.String ultimoRecordLetto, java.lang.String ultimoRecordLetto2)` Servizio che restituisce il prontuario farmaceutico in blocchi.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Farmaco

    public Farmaco()

Method Detail

### getConsultazioneProntuarioFarmaceutico

    public ConsultazioneProntuarioFarmaceuticoResponse getConsultazioneProntuarioFarmaceutico(AttributiAutorizzativi attributiAutorizzativi,
                                                                                              ConsultazioneProntuarioFarmaceuticoRequest filtriFarmacoVo)

  Servizio di consultazione dei dati, compresi quelli storici, dei farmaci inclusi nel prontuario farmaceutico nazionale, nel prontuario ospedaliero nonch´ i dati dei farmaci appartenenti al PHT inclusi nel prontuario farmaceutico nazionale

  Parameters:
    `attributiAutorizzativi` - attributi di autorizzazione
    `filtriFarmacoVo` - criteri di ricerca dei farmaci
  Returns:
    elenco dei farmaci che soddisfano i criteri di ricerca oppure un Fault in caso di errore
  Throws:
    `javax.xml.ws.soap.SOAPFaultException` - in caso di errore applicativo generato in fase di ricerca dei farmaci. Puo' assumere i seguenti valori:
    - 000001: Dato non valido
    - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti
    - 001514: Richiesta non valida
    - 100000: Si e' verificato un errore nel sistema

### getProntuarioFarmaceutico

    public ProntuarioFarmaceuticoResponse getProntuarioFarmaceutico(AttributiAutorizzativi attributiAutorizzativi,
                                                                    java.lang.String tavolaDaEstrarre,
                                                                    java.lang.String ultimoRecordLetto,
                                                                    java.lang.String ultimoRecordLetto2)

  Servizio che restituisce il prontuario farmaceutico in blocchi. Ogni blocco (cfr tavolaDaEstrarre) è costituito da un tracciato record (flusso di testo (ASCII) sequenziale documentato nelle specifiche di integrazione). Nei casi P2, P3, P4, P5, P7, P10 il tracciato è restituito mediante una unica richiesta, nei casi P1, P6, P8, P9, a causa della grande mole di dati, il tracciato è restituito mediante l'iterazione di più richieste:
  - nella prima richiesta deve essere specificato il tipo record e i campi ultimoRecordLetto ed ultimoRecordLetto2 non devono essere valorizzati; nella risposta saranno restituiti la prima porzione di tracciato e i tag ultimoRecordLetto ed ultimoRecordLetto2
  - dalla seconda richiesta, oltre il tipo record, devono essere specificati i campi ultimoRecordLetto ed ultimoRecordLetto2 utilizzando i valori presenti nella risposta precedente
  - l'iterazione termina quando nella risposta il tag ultimoRecordLetto contiene il valore -1
  - il tracciato finale è la composizione delle porzioni restituite in ogni risposta

  Parameters:
    `attributiAutorizzativi` - attributi di autorizzazione
    `tavolaDaEstrarre` - tipo di tracciato da estrarre (obbligatorio):
    - PRONTUARIO-P1 (contiene tutti i farmaci del prontuario)
    - PRONTUARIO-P2 (contiene tutte le associazioni delle note CUF con i farmaci)
    - PRONTUARIO-P3 (contiene tutti gli ATC)
    - PRONTUARIO-P4 (contiene tutte le associazioni degli ATC con i farmaci)
    - PRONTUARIO-P5 (contiene tutti i periodi concedibilità)
    - PRONTUARIO-P6 (contiene tutti i prezzi dei farmaci)
    - PRONTUARIO-P7 (contiene tutte le associazioni delle categorie speciali con i farmaci)
    - PRONTUARIO-P8 (contiene tutte le associazioni delle fasce con i farmaci)
    - PRONTUARIO-P9 (contiene tutti i periodi di erogabilità dei farmaci)
    - PRONTUARIO-P10 (contiene tutti i farmaci analgesici oppiacei)
    `ultimoRecordLetto` - parametro facoltativo di input/output per implementare la paginazione
    `ultimoRecordLetto2` - parametro facoltativo di input/output per implementare la paginazione
  Returns:
    tracciato record oppure un Fault in caso di errore
  Throws:
    `javax.xml.ws.soap.SOAPFaultException` - in caso di errore applicativo generato in fase di ricerca dei farmaci. Puo' assumere i seguenti valori:
    - 000001: Dato non valido
    - 000002: Manca un dato obbligatorio
    - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti
    - 001514: Richiesta non valida
    - 100000: Si e' verificato un errore nel sistema

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD